diff -r 2d367594b41c src/lib-storage/index/dbox/dbox-file-maildir.c
--- a/src/lib-storage/index/dbox/dbox-file-maildir.c	Mon Jun 02 20:01:42 2008 +0300
+++ b/src/lib-storage/index/dbox/dbox-file-maildir.c	Mon Jun 02 20:02:06 2008 +0300
@@ -74,6 +74,12 @@
 			value = dec2str(size);
 		break;
 	case DBOX_METADATA_POP3_UIDL:
+		p = strchr(file->fname, ':');
+		if (p == NULL)
+			value = file->fname;
+		else
+			value = t_strdup_until(file->fname, p);
+		break;
 	case DBOX_METADATA_EXPUNGED:
 	case DBOX_METADATA_EXT_REF:
 	case DBOX_METADATA_SPACE:
